
---------------------------------------------------------------------
-- copy of widgets.glade, exported as a sequence. 
-- usage: 
--  include widgets.xml
--  add(builder,widgets:XML)
---------------------------------------------------------------------

namespace widgets

export constant XML = """
<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.16.1 -->
<interface>
  <object class="GtkAdjustment" id="adjustment1">
    <property name="upper">100</property>
    <property name="step_increment">0.5</property>
    <property name="page_increment">10</property>
  </object>
  <object class="GtkWindow" id="window1">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <property name="window_position">center</property>
    <property name="icon_name">applications-development</property>
    <child>
      <object class="GtkBox" id="box1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkButtonBox" id="buttonbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="margin_bottom">10</property>
            <property name="spacing">5</property>
            <property name="layout_style">center</property>
            <child>
              <object class="GtkFrame" id="frame1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkRadioButtons&lt;/u&gt;&lt;/b&gt;
Sets value in steps</property>
                <property name="label_xalign">0</property>
                <child>
                  <object class="GtkAlignment" id="alignment1">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="left_padding">12</property>
                    <child>
                      <object class="GtkBox" id="box2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;RadioButtons&lt;/u&gt;&lt;/b&gt;
Click to set adjustment value
0 - 50% - 100%</property>
                        <property name="halign">start</property>
                        <property name="valign">center</property>
                        <property name="orientation">vertical</property>
                        <child>
                          <object class="GtkRadioButton" id="radio_empty">
                            <property name="label" translatable="yes">Empty</property>
                            <property name="name">0</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="xalign">0</property>
                            <property name="active">True</property>
                            <property name="draw_indicator">True</property>
                            <signal name="toggled" handler="on_radiobuttons_toggled" object="scale1" swapped="no"/>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkRadioButton" id="radio_half">
                            <property name="label" translatable="yes">Half</property>
                            <property name="name">50</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="xalign">0</property>
                            <property name="active">True</property>
                            <property name="draw_indicator">True</property>
                            <property name="group">radio_empty</property>
                            <signal name="toggled" handler="on_radiobuttons_toggled" object="scale1" swapped="no"/>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkRadioButton" id="radio_full">
                            <property name="label" translatable="yes">Full</property>
                            <property name="name">100</property>
                            <property name="visible">True</property>
                            <property name="can_focus">True</property>
                            <property name="receives_default">False</property>
                            <property name="xalign">0</property>
                            <property name="active">True</property>
                            <property name="draw_indicator">True</property>
                            <property name="group">radio_half</property>
                            <signal name="toggled" handler="on_radiobuttons_toggled" object="scale1" swapped="no"/>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">True</property>
                            <property name="position">2</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
                <child type="label_item">
                  <placeholder/>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
                <property name="non_homogeneous">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkLevelBar" id="levelbar1">
                <property name="name">poobah</property>
                <property name="height_request">40</property>
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkLevelBar&lt;/u&gt;&lt;/b&gt;
Shows value of shared adjustment</property>
                <property name="orientation">vertical</property>
                <property name="max_value">100</property>
                <property name="inverted">True</property>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
            <child>
              <object class="GtkSpinner" id="spinner1">
                <property name="width_request">20</property>
                <property name="height_request">20</property>
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkSpinner&lt;/u&gt;&lt;/b&gt;
Shows activity in progress</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">2</property>
                <property name="non_homogeneous">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkSwitch" id="switch1">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkSwitch&lt;/u&gt;&lt;/b&gt;
Turns spinner on/off</property>
                <signal name="notify::active" handler="on_switch1_active_notify" object="spinner1" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">3</property>
                <property name="non_homogeneous">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="quit_button">
                <property name="label">gtk-quit</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">True</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;Quit button&lt;/u&gt;&lt;/b&gt;
What do you think &lt;i&gt;this&lt;/i&gt; does?</property>
                <property name="use_stock">True</property>
                <property name="always_show_image">True</property>
                <signal name="clicked" handler="Quit" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">4</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="pack_type">end</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkMenuBar" id="menubar1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <child>
              <object class="GtkMenuItem" id="file_menu">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">_File</property>
                <property name="use_underline">True</property>
                <child type="submenu">
                  <object class="GtkMenu" id="file_submenu">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <child>
                      <object class="GtkImageMenuItem" id="file_new">
                        <property name="label">gtk-new</property>
                        <property name="visible">True</property>
                        <property name="sensitive">False</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="file_open">
                        <property name="label">gtk-open</property>
                        <property name="visible">True</property>
                        <property name="sensitive">False</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="file_save">
                        <property name="label">gtk-save</property>
                        <property name="visible">True</property>
                        <property name="sensitive">False</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="file_save_as">
                        <property name="label">gtk-save-as</property>
                        <property name="visible">True</property>
                        <property name="sensitive">False</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkSeparatorMenuItem" id="file_sep1">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="file_quit">
                        <property name="label">gtk-quit</property>
                        <property name="name">menu-quit</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                        <signal name="activate" handler="Quit" swapped="no"/>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkMenuItem" id="edit_menu">
                <property name="visible">True</property>
                <property name="sensitive">False</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">_Edit</property>
                <property name="use_underline">True</property>
                <child type="submenu">
                  <object class="GtkMenu" id="edit_submenu">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <child>
                      <object class="GtkImageMenuItem" id="edit_cut">
                        <property name="label">gtk-cut</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="edit_copy">
                        <property name="label">gtk-copy</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="edit_paste">
                        <property name="label">gtk-paste</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                      </object>
                    </child>
                    <child>
                      <object class="GtkImageMenuItem" id="edit_delete">
                        <property name="label">gtk-delete</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
            <child>
              <object class="GtkMenuItem" id="view_menu">
                <property name="name">help-menu-about</property>
                <property name="visible">True</property>
                <property name="sensitive">False</property>
                <property name="can_focus">False</property>
                <property name="label" translatable="yes">_View</property>
                <property name="use_underline">True</property>
              </object>
            </child>
            <child>
              <object class="GtkMenuItem" id="help_menu">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_text" translatable="yes">Click for Help/About</property>
                <property name="right_justified">True</property>
                <property name="label" translatable="yes">_Help</property>
                <property name="use_underline">True</property>
                <child type="submenu">
                  <object class="GtkMenu" id="help_submenu">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <child>
                      <object class="GtkImageMenuItem" id="help_about">
                        <property name="label">gtk-about</property>
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="right_justified">True</property>
                        <property name="use_underline">True</property>
                        <property name="use_stock">True</property>
                        <property name="always_show_image">True</property>
                        <signal name="activate" handler="on_help_about_activate" swapped="no"/>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
        <child>
          <placeholder/>
        </child>
        <child>
          <object class="GtkProgressBar" id="progressbar1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkProgressBar&lt;/u&gt;&lt;/b&gt;
Shows value of shared adjustment</property>
            <property name="margin_left">5</property>
            <property name="margin_right">5</property>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">3</property>
          </packing>
        </child>
        <child>
          <object class="GtkButtonBox" id="buttonbox2">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="margin_left">10</property>
            <property name="margin_right">10</property>
            <property name="spacing">16</property>
            <property name="layout_style">start</property>
            <child>
              <object class="GtkCheckButton" id="show_text">
                <property name="label" translatable="yes">Show text</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkCheckButton&lt;/u&gt;&lt;/b&gt;
Show or hide progress text</property>
                <property name="xalign">0</property>
                <property name="always_show_image">True</property>
                <property name="draw_indicator">True</property>
                <signal name="toggled" handler="on_show_text_toggled" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkComboBoxText" id="digits">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;ComboBoxText&lt;/u&gt;&lt;/b&gt;
Adjust number of decimal places used in value displays</property>
                <property name="active">2</property>
                <items>
                  <item id="0" translatable="yes">None</item>
                  <item id="1" translatable="yes">One</item>
                  <item id="2" translatable="yes">Two</item>
                  <item id="3" translatable="yes">Three</item>
                </items>
                <signal name="changed" handler="on_digits_changed" object="value" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">1</property>
                <property name="non_homogeneous">True</property>
              </packing>
            </child>
            <child>
              <object class="GtkSpinButton" id="value">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkSpinButton&lt;/u&gt;&lt;/b&gt;
Set/show adjustment value</property>
                <property name="shadow_type">etched-out</property>
                <property name="input_purpose">digits</property>
                <property name="adjustment">adjustment1</property>
                <property name="climb_rate">1</property>
                <property name="digits">2</property>
                <property name="numeric">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">2</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="padding">10</property>
            <property name="position">4</property>
          </packing>
        </child>
        <child>
          <object class="GtkScale" id="scale1">
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <property name="tooltip_markup" translatable="yes">&lt;b&gt;&lt;u&gt;GtkScale&lt;/u&gt;&lt;/b&gt;
Slide to change adustment value</property>
            <property name="margin_left">5</property>
            <property name="margin_right">5</property>
            <property name="adjustment">adjustment1</property>
            <property name="round_digits">1</property>
            <property name="digits">2</property>
            <signal name="value-changed" handler="on_scale1_value_changed" swapped="no"/>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">5</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
"""
